test_concepts::HaveCopyAndMove Struct Reference

## Public Member Functions

| HaveCopyAndMove (const HaveCopyAndMove &)=default
| HaveCopyAndMove (HaveCopyAndMove &&)=default
HaveCopyAndMove & | operator= (const HaveCopyAndMove &)=default
HaveCopyAndMove & | operator= (HaveCopyAndMove &&)=default

## Detailed Description

Definition at line 44 of file TConcepts.cpp.

## Constructor & Destructor Documentation

## HaveCopyAndMove() [1/2]

test_concepts::HaveCopyAndMove::HaveCopyAndMove | ( | const HaveCopyAndMove & |  | ) |

default

## HaveCopyAndMove() [2/2]

test_concepts::HaveCopyAndMove::HaveCopyAndMove | ( | HaveCopyAndMove && |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

HaveCopyAndMove& test_concepts::HaveCopyAndMove::operator= | ( | const HaveCopyAndMove & |  | ) |

default

## operator=() [2/2]

HaveCopyAndMove& test_concepts::HaveCopyAndMove::operator= | ( | HaveCopyAndMove && |  | ) |

default

The documentation for this struct was generated from the following file:

- test/tests/TConcepts.cpp